/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * ValueCriterion
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class ValueCriterion {
  @SerializedName("value")
  private String value = null;

  @SerializedName("default")
  private Boolean _default = null;

  public ValueCriterion value(String value) {
    this.value = value;
    return this;
  }

   /**
   * Criterion value.
   * @return value
  **/
  @ApiModelProperty(required = true, value = "Criterion value.")
  public String getValue() {
    return value;
  }

  public void setValue(String value) {
    this.value = value;
  }

  public ValueCriterion _default(Boolean _default) {
    this._default = _default;
    return this;
  }

   /**
   * Whether this is the default value or not.
   * @return _default
  **/
  @ApiModelProperty(example = "true", value = "Whether this is the default value or not.")
  public Boolean isDefault() {
    return _default;
  }

  public void setDefault(Boolean _default) {
    this._default = _default;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ValueCriterion valueCriterion = (ValueCriterion) o;
    return Objects.equals(this.value, valueCriterion.value) &&
        Objects.equals(this._default, valueCriterion._default);
  }

  @Override
  public int hashCode() {
    return Objects.hash(value, _default);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ValueCriterion {\n");
    
    sb.append("    value: ").append(toIndentedString(value)).append("\n");
    sb.append("    _default: ").append(toIndentedString(_default)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

